Loading...
Searching...
No Matches
pcl::PointXYZINormal Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, intensity, together with normal coordinates and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZINormal:

## Public Member Functions

constexpr | PointXYZINormal (const _PointXYZINormal &p)
constexpr | PointXYZINormal (float _intensity=0.f)
constexpr | PointXYZINormal (float _x, float _y, float _z, float _intensity=0.f)
constexpr | PointXYZINormal (float _x, float _y, float _z, float _intensity, float n_x, float n_y, float n_z, float _curvature=0.f)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZINormal &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZINormal
union { |
struct { |
float intensity |
float curvature |
} |
float data_c [4] |
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, intensity, together with normal coordinates and the surface curvature estimate.

Definition at line 971 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZINormal() [1/4]

pcl::PointXYZINormal::PointXYZINormal | ( | const _PointXYZINormal & | p | ) |

inline constexpr

Definition at line 973 of file point_types.hpp.

References pcl::_PointXYZINormal::curvature, pcl::_PointXYZINormal::intensity, and PointXYZINormal().

Referenced by operator<<, PointXYZINormal(), PointXYZINormal(), and PointXYZINormal().

## PointXYZINormal() [2/4]

pcl::PointXYZINormal::PointXYZINormal | ( | float | _intensity = 0.f | ) |

inline constexpr

Definition at line 976 of file point_types.hpp.

References PointXYZINormal().

## PointXYZINormal() [3/4]

pcl::PointXYZINormal::PointXYZINormal | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _intensity = 0.f )

inline constexpr

Definition at line 978 of file point_types.hpp.

References PointXYZINormal().

## PointXYZINormal() [4/4]

pcl::PointXYZINormal::PointXYZINormal | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _intensity,
|  | float | n_x,
|  | float | n_y,
|  | float | n_z,
|  | float | _curvature = 0.f )

inline constexpr

Definition at line 981 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointXYZINormal & | p )

friend

References PointXYZINormal().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp